/**
 * 常规设置
 */
option.module.connect = {};
/**
 * 浏览器启动时打开
 */
option.module.connectinfo = {
	init:function (){

	},
  recoverdefault:function () {
 
  },
	render:function (target){
		this.el = $('<div class="item">' +
					'<div class="label">' + '连接手机设置' + 
					'</div>' +
					'<ul>' +
					 '<div class="item-wrap item-wrap-bkg-top"><li><div id="promptStartafterconn" ></div><label><div class="item-li-t">连接手机时提示我启动云端手机助手</div>' +
					 '</label></li></div>' +
					 '<div class="item-wrap item-wrap-bkg-bottom"><li><div id="noPromptStartafterconn" ></div ><label><div class="item-li-t">连接手机时不提示我启动云端手机助手</div>' +
					 '</label></li></div>' +					 					 
					 '</ul>' +
					'</div>').appendTo(target);

		//0, 提示 1, 不提示 2，自动		
		var startafterconn = option.getCfgValue("cfg_PromptStartAfterConn");
		if(startafterconn == 1)
		{
			$("#promptStartafterconn").addClass("item-li-radio-btn-useing");
			$("#noPromptStartafterconn").addClass("item-li-radio-btn-used");
		}
		else{
			$("#promptStartafterconn").addClass("item-li-radio-btn-used");
			$("#noPromptStartafterconn").addClass("item-li-radio-btn-useing");		
		}
		
		$("#promptStartafterconn", this.el).bind("click", { id: "promptStartafterconn" }, this.promptStartAfterConn);
		$("#noPromptStartafterconn", this.el).bind("click", { id: "noPromptStartafterconn" }, this.promptStartAfterConn);
		
	},
	promptStartAfterConn:function(val){
		
		var startafterconn;
		if("promptStartafterconn" == val.data.id)
		{
			startafterconn = 1;
		}
		else if ("noPromptStartafterconn" == val.data.id)
		{
			startafterconn = 0;
		}
		else
		{
			return;
		}
	
		window.top.bfccfg.setPromptStartAfterConn(startafterconn);
			
		option.setCfgValue("cfg_PromptStartAfterConn", startafterconn);

			
		//0, 提示 1, 不提示 2，自动		
		//var downafterconn = option.getCfgValue("cfg_runafterdown");
		$("#promptStartafterconn").removeClass("item-li-radio-btn-used");
		$("#noPromptStartafterconn").removeClass("item-li-radio-btn-used");
		$("#promptStartafterconn").removeClass("item-li-radio-btn-useing");
		$("#noPromptStartafterconn").removeClass("item-li-radio-btn-useing");
								
		if(1 == startafterconn)
		{
			$("#promptStartafterconn").addClass("item-li-radio-btn-useing");
			$("#noPromptStartafterconn").addClass("item-li-radio-btn-used");
		}
		else {
			$("#promptStartafterconn").addClass("item-li-radio-btn-used");
			$("#noPromptStartafterconn").addClass("item-li-radio-btn-useing");
		}			

	}
}

